enum MyConfig {
  FORMID,
  CARDNUMBER,
  CVV,
  HOLDER,
  EXPIRYDATE,
  DATEFORMAT,
  URL,
  AMERICAN_EXPRESS,
  DISCOVER,
  JCB,
  DINER_ClUB,
  VISA,
  MASTERCARD,
  UNIONPAY,
  UNKNOWN,
  URLROOT,
  URL_PURCHASE,
  URL_ADDCARD,
  URL_QUERYORDER,
  PARAMS_SECUREID,
  PARAMS_CARD_NUM,
  PARAMS_HOLDER,
  PARAMS_CVV,
  PARAMS_EXPIRYDATE,
  SUCCESS,
  FAIL,
  DUPENTRY,
  SECRET,
}

extension MyConfigExtension on MyConfig {
  String get name {
    return [
      "formid",
      "cardNumber",
      "cvv",
      "holder",
      "expiryDate",
      "yyyy-MM-dd",
      "http://localhost/",
      "American_Express",
      "Discover",
      "JCB",
      "Diners_Club",
      "Visa",
      "MasterCard",
      "UnionPay",
      "UNKNOWN",
      "https://ccapi.iotpaycloud.com/",
      "v3/cc_pfpurchase",
      "v3/cc_pfaddcard",
      "cc/queryorder",
      "secureId",
      "cardNum",
      "holder",
      "cvv",
      "expiryDate",
      "SUCCESS",
      "FAIL",
      "DUP ENTRY",
      "secret",
    ][this.index];
  }
}
